View Issue Details

IDProjectCategoryView StatusLast Update
00019193 - Current Dev ListBugpublic2019-06-10 18:12
ReporterKB3NPHAssigned ToWA9PIE 
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionwon't fix 
Product Version 
Target VersionFixed in Version 
Summary0001919: Logbook does NOT retain Guest account
DescriptionWhen you enter a GUEST account in My Station, enter all the information. Close the My Station, and re-open it the information changes to "GU3ST" in the Operator's callsign box and "Guest" in the name field.

Makes it impossible to use a Guest account as it should. HRD should retain this data until it is shut down, then it should reset it to a empty dialog.

TagsNo tags attached.
ModuleLogbook
Sub-ModuleFunctional
TestingNot Started

Relationships

related to 0001941 new 1 - Backlog Guest Account NOT retaining session data 

Activities

WA9PIE

2016-12-03 11:19

administrator   ~0003024

I just investigated this one and there are several problems with it.

- If you enter a guest call... it will only change to "GU3ST" when you change from Guest to the original call... and back again (sometimes it takes a few tries of bouncing back-n-forth between the original call and the Guest tab.
- If you exit Logbook, the Guest seems to be persistent. This is a problem for licensing our software. It could allow shared keys to be used for calls that aren't licensed. (ie. pirate copies could use the guest account always, if it saves the call)

The Guest tab should retain the guest call until Logbook is restated. Then it should be cleared. Bouncing back-n-forth shouldn't cause it to go to "GU3ST". (Perhaps this was done to annoy pirates.)

WA9PIE

2016-12-03 11:19

administrator   ~0003025

I've confirmed this in the 610 build.

g3ucq

2018-06-24 04:33

updater   ~0005425

I filled in a Guest, closed the dialog window, reopened it and the Guest details were still there.
I closed the Logbook, reopened it and the Guest details were still there.
When I clicked the tab for my call sign and then back to Guest the details were gone and GU3ST was shown.
However, subsequent closures of the My Station window do not save the Guest details.
Perhaps there should be an OK button to save the Guest details until the Logbook is closed?

WA9PIE

2018-06-24 19:03

administrator   ~0005457

Moving this one back into the backlog.

WA9PIE

2019-06-09 22:26

administrator   ~0008022

Guest goes away with the related changes to My Station in 6.6.

That's great. What we need to do is replace the "need" with a way to add callsign to a given "My Station's" list of "Operators".

In other words... a single "My Station" could have any number of "Operators." It needs to be a list that the user can build as they add operators.

WA9PIE

2019-06-10 18:11

administrator   ~0008024

With the changes we're making in the 6.6 release, we're eliminating "Guest" completely. As a result, we won't be fixing this.

Issue History

Date Modified Username Field Change
2016-07-15 14:37 KB3NPH New Issue
2016-12-03 11:19 WA9PIE Note Added: 0003024
2016-12-03 11:19 WA9PIE Note Added: 0003025
2016-12-03 11:19 WA9PIE Assigned To => WA9PIE
2016-12-03 11:19 WA9PIE Status new => confirmed
2016-12-03 12:13 WA9PIE Relationship added related to 0001941
2017-03-08 00:06 WA9PIE Project 3 - Current Dev List => 2 - Next Dev List (Holding Area)
2018-06-23 18:21 WA9PIE Project 2 - Next Dev List (Holding Area) => Issues Needing Retest
2018-06-23 18:21 WA9PIE Category Bug => General
2018-06-23 23:13 WA9PIE Category General => Bug
2018-06-24 04:33 g3ucq Note Added: 0005425
2018-06-24 19:03 WA9PIE Note Added: 0005457
2018-06-24 19:03 WA9PIE Project Issues Needing Retest => 3 - Current Dev List
2018-06-27 14:21 WA9PIE Assigned To WA9PIE => KB3NPH
2019-06-09 22:26 WA9PIE Note Added: 0008022
2019-06-10 18:11 WA9PIE Status confirmed => resolved
2019-06-10 18:11 WA9PIE Resolution open => won't fix
2019-06-10 18:11 WA9PIE Testing => Not Started
2019-06-10 18:11 WA9PIE Note Added: 0008024
2019-06-10 18:12 WA9PIE Assigned To KB3NPH => WA9PIE